id_plano = null;
id_fidelidade = null;
hoje = new Date();
diff = 0;
ultimo_index = 0;
gValorPlano = 0;
//guseTaxaMatricula = 0;
gTaxaMatricula = 0;
gLancamento = 0;
gValorDesconto = 0;
gQtdrecorrencia = 1;
calcular_pagamentos = false;
onload_antigo = null;
datas = [];

function clear(){
    $("#id_dtfim").val('');
    $( "#id_dtfim" ).attr('value', '');
    $("#id_valorplano").val('');
    $( "#id_valorplano" ).attr('value', '');
    $("#id_valordesconto").val('');
    $( "#id_valordesconto" ).attr('value', '');
    $("#id_valorfinal").val('');
    $( "#id_valorfinal" ).attr('value', '');

    clean_inlines()
}

function lookup_id_plano(e){
    var triggeringLink = e.target;
    var edit = triggeringLink.previousSibling;
    var name = triggeringLink.id.replace(/^lookup_/, '');
    name = id_to_windowname(name);
    var href;
    if (triggeringLink.href.search(/\?/) >= 0) {
        href = triggeringLink.href + '&pop=1';
    } else {
        href = triggeringLink.href + '?pop=1';
    }
    // GRAPPELLI CUSTOM: changed width
    var win = window.open(href, name, 'height=500,width=1000,resizable=yes,scrollbars=yes');
    win.onbeforeunload = function (){
        if (edit.id == 'id_planoid'){
            verifica_plano()
        }
        if (edit.id == 'id_planofidelidadeid'){
            verifica_fidelidade()
        }
    }
    win.focus();
    return false;

}

function verifica_plano(){
    if (id_plano != $("#id_planoid").val()){
        onchange_valor();
        id_plano = $("#id_planoid").val()
    }
    setTimeout(function(){
        verifica_plano();
    }, 500)
}

function verifica_fidelidade(){
    if (id_fidelidade != $("#id_planofidelidadeid").val()){
        onchange_valor();
        id_fidelidade = $("#id_planofidelidadeid").val()
    }
    setTimeout(function(){
        verifica_fidelidade();
    }, 500)

}

function inicia_valores(){
    document.getElementById('id_planoid').onchange = onchange_valor;
    document.getElementById('lookup_id_planoid').onclick = lookup_id_plano;
    //document.getElementById('id_fitplano').onfocus = onchange_valor;
    //document.getElementById('id_fitplano').onkeyup = onchange_valor;

    document.getElementById('id_planofidelidadeid').onchange = onchange_valor;
    //document.getElementById('id_fitplanofidelidade').onfocus = onchange_valor;
    document.getElementById('lookup_id_planofidelidadeid').onclick = lookup_id_plano;

    document.getElementById('id_dtinicio').onchange = onchange_valor;

    document.getElementById('id_diavencimento').value = parseInt(dia_mes());

    $("#id_diavencimento").change(function(){ onchange_valor() })
    $("#id_geramovimentomes").change(function(){ onchange_valor() })
    $("#id_geramovimentoproporcional").change(function(){ onchange_valor() })
    $("#id_adicionalmatricula").change(function(){ onchange_valor() })

    //clear()
    $("#id_valorfinal").after("<span id='id_spanadicionalMatricula' style='padding-left: 10px;'></span>")
    onchange_valor()

    setTimeout(function(){
        document.getElementById('id_planoid-autocomplete').onchange = onchange_valor;
     }, 200);

}

function dia_mes(){
    var dia = today().split('/')[0]
    if (dia > 30) {
        dia = 30
    }
    return dia
}

function onchange_valor(){
    setTimeout(function(){
        if (!calcular_pagamentos){
            return false;
        }

        if ($("#id_planoid").val().length > 0){
            var vID = parseFloat($("#id_planoid").val())
            //vID = $("#id_fitplano").val()
        }
        if (!isNaN(vID)){
            get_dados_contrato(vID)
        }
        else {
            clear()
        }
    }, 200);
}

function get_dados_contrato(vID){
    //var id = $("#id_fitplano").val();
    var url = "/get_dados_plano/" + vID;
    callAjax(url, sucesso, clear());
}

function sucesso(html_value){
    var retorno = html_value.split('<separador>')
    gValorPlano = ForceFloat(retorno[0])
    var vigencia = retorno[1]
    var tipovigencia = retorno[2]
    //var useTaxaMatricula = retorno[3]
    var useTaxaMatricula = $("#id_adicionalmatricula").prop("checked")
    if (useTaxaMatricula == true){
        gTaxaMatricula = ForceFloat(retorno[4])
    }else{
        gTaxaMatricula = 0
    }
    gLancamento = ForceFloat(retorno[5])
    gQtdrecorrencia = ForceFloat(retorno[6])

    if (gLancamento > 0){
        $("#id_geramovimentoproporcional").prop("checked", false)
        $("#id_geramovimentoproporcional").attr("disabled", true)
    }else{
        $("#id_geramovimentoproporcional").attr("disabled", false)
    }

    if (gQtdrecorrencia <= 0){
        gQtdrecorrencia = 1
    }

    gValorDesconto = 0

    var valorfinal = 0
    var param = ''

    switch(tipovigencia) {
    case '1':
        param = 'day'
        break;
    case '2':
        param = 'month'
        break;
    case '3':
        param = 'year'
        break;
    }

    var datainicio = StrToDate($("#id_dtinicio").val());
    if (param){
        var datafim = DateToStr(addDate(datainicio, vigencia, param));
    }
    $("#id_dtfim").val(datafim);

    $("#id_valorplano").val(gValorPlano.toFixed(2));
    setTimeout(function(){
        gValorDesconto = calcular_desconto();
        $("#id_valordesconto").val(gValorDesconto.toFixed(2));
        if (useTaxaMatricula == true){
            valorfinal = (gValorPlano + gTaxaMatricula) - gValorDesconto
            $("#id_spanadicionalMatricula").html("Taxa adicional de matricula (R$ " + gTaxaMatricula.toFixed(2) + ") no 1º movimento")
        }else{
            valorfinal = gValorPlano - gValorDesconto
            $("#id_spanadicionalMatricula").html("")
        }
        $("#id_valorfinal").val(parseFloat(valorfinal).toFixed(2));

    lancamento_inlines()
    }, 250);
}

function verifica_remover_inlines(){
    if ($(".grp-remove-handler").length-1 == 1){
        $(".grp-remove-handler").css("display", "None")
    }else{
        $(".grp-remove-handler").removeAttr("style")
    }
    setTimeout(function(){
        verifica_remover_inlines()
    }, 200)
}

function diff_days(data1, data2){
    $.ajax({
        type: "GET",
        url: "/get_diff_days/",
        dataType: "text",
        data: {
            dt1: data1,
            dt2: data2
        },
        success:  function(retorno){
            diff = retorno;
        }
        //error: clear(),
    });
}

function lancamento_inlines(){
    verifica_remover_inlines()
    if (!calcular_pagamentos){
        return false;
    }

    clean_inlines()
    var descricaoMatricula = ''
    // datainicio =
    var datainicio = StrToDate($("#id_dtinicio").val());
    if (!$("#id_geramovimentomes").prop("checked")){
        datainicio_proxMes = addDate(datainicio, 1, 'month')
        //if (parseInt($("#id_diavencimento").val()) > datainicio.getDate()){
        if (datainicio_proxMes > datainicio){
            datainicio = new Date (datainicio_proxMes.getFullYear(), datainicio_proxMes.getMonth(), parseInt($("#id_diavencimento").val()))
        }else{
            datainicio = new Date (datainicio.getFullYear(), datainicio.getMonth(), datainicio.getDate())
        }
    }
    var dtvencimento = new Date (datainicio.getFullYear(), datainicio.getMonth(), parseInt($("#id_diavencimento").val()))

    if (datainicio < dtvencimento){
        datainicio = dtvencimento
    }

    if ($("#id_geramovimentoproporcional").prop("checked")){
        diff_days(DateToStr(hoje), DateToStr(datainicio));
    }else{
        diff = 0;
    }
    retorna_datas_vencimento(DateToStr(dtvencimento))

    //if ((gLancamento == 0) & ($("#id_movimentosquitados").val() == 1)){
    setTimeout(function(){
        if (gLancamento == 0){
            var indice = 0
            var valorFinal = gValorPlano - gValorDesconto
            $("#contrato_formapagamento_set-group .grp-tools:first>li>a[href]")[0].click()
            if (diff > 0){
                $("#contrato_formapagamento_set-group .grp-tools:first>li>a[href]")[0].click()
                valorProporcional = ((valorFinal/gQtdrecorrencia)/30) * diff
                valorProporcional = valorProporcional + gTaxaMatricula
                $("#id_contrato_formapagamento_set-" + indice + "-valor").val(valorProporcional.toFixed(2))
                $("#id_contrato_formapagamento_set-" + indice + "-dtvencimento").val(DateToStr(hoje))
                //$("#id_contrato_formapagamento_set-" + indice + "-tipopagamento").val(1)
                if (gTaxaMatricula > 0) descricaoMatricula = ' + Matricula'
                $("#id_contrato_formapagamento_set-" + indice + "-descricao").val("Valor proporcional" + descricaoMatricula)
                indice = 1;
            }else{
                valorFinal = valorFinal + gTaxaMatricula
            }
            $("#id_contrato_formapagamento_set-" + indice + "-valor").val(valorFinal.toFixed(2))
            $("#id_contrato_formapagamento_set-" + indice + "-dtvencimento").val(DateToStr(datainicio))
            //$("#id_contrato_formapagamento_set-" + indice + "-tipopagamento").val(1)
            if (gTaxaMatricula > 0) {
                descricaoMatricula = ' + Matricula'
            }else{
                descricaoMatricula = ''
            }
            $("#id_contrato_formapagamento_set-" + indice + "-descricao").val("1ª Mensalidade " + descricaoMatricula)
        //}else if((gLancamento == 0) & ($("#id_movimentosquitados").val() == 0)){
        }
        //Calculo do parcelamento
        for (i = 0; i < gLancamento; i++) {
            $(".grp-add-handler")[0].click();
            //$("#contrato_formapagamento_set-group .grp-tools:first>li>a[href]")[0].click()
            valorParcelado = (gValorPlano - gValorDesconto)/gLancamento

            var input_inline_valor = $("#id_contrato_formapagamento_set-" + i + "-valor")
            var input_inline_tipopagamento = $("#id_contrato_formapagamento_set-" + i + "-tipopagamento")
            var input_inline_dtvencimento = $("#id_contrato_formapagamento_set-" + i + "-dtvencimento")
            var input_inline_descricao = $("#id_contrato_formapagamento_set-" + i + "-descricao")

            if (i == 0){
                valorfinal = valorParcelado + gTaxaMatricula
                input_inline_valor.val(valorfinal.toFixed(2))
                input_inline_dtvencimento.val(DateToStr(datainicio))
                if (gTaxaMatricula > 0) descricaoMatricula = ' + Matricula'
                input_inline_descricao.val("Parcela 01" + descricaoMatricula)
            }else{
                input_inline_valor.val(valorParcelado.toFixed(2))
                //input_inline_dtvencimento.val(DateToStr(addDate(dtvencimento, i, 'month')))
                input_inline_dtvencimento.val(datas[i])
                input_inline_descricao.val("Parcela " + zeroPad(i+1, 2))
            }


            //input_inline_tipopagamento.val(1)

            //$(".grp-add-handler")[0].click();
            //$("#contrato_formapagamento_set-group .grp-tools:first>li>a[href]")[0].click()
        }
    }, 500)
}

function retorna_datas_vencimento(data){
    var url = "/retorna_vencimentos_contrato/";
    $.ajax({
        type: "POST",
        data: {
            'DtVencimento': data,
            'Meses': gLancamento
            },
        url: url,
        dataType: "html",
        success: function(result){
            datas = result.split('<separador>')
        },
        error: function(){
            clear()
        }
    });
}

function clean_inlines(){
    if (!calcular_pagamentos){
        return false;
    }
    //$( "input[name*='contrato_formapagamento_set']" ).each(function(){$(".grp-icon.grp-remove-handler")[0].click()})
    var index = 0;
    //var total = 0;
    while(document.getElementById("id_contrato_formapagamento_set-" + index + "-valor")){
        setTimeout(function(){ $(".grp-icon.grp-remove-handler")[0].click() }, 100)
        //ultimo_index = index;
        index++;

    }
}

function calcular_desconto(){
    var desconto = 0
    var valorplano = $("#id_valorplano").val();
    //fidelidade = document.getElementById("id_fitplanofidelidade").nextSibling.nextSibling.firstChild.innerHTML
    fidelidade = document.getElementById("id_planofidelidadeid-autocomplete").value
    fidelidade = fidelidade.replace('(', '').replace(')', '')
    //fidelidade = document.getElementById("id_fitplanofidelidade").nextSibling.nextSibling.firstChild.innerHTML.split(" - ")
    splitdesconto = fidelidade.split(" - ")
    if (splitdesconto[2] == "Valor"){
        desconto = splitdesconto[1].split(" R$")
    }
    if (splitdesconto[2] == "Percentual"){
        desconto = splitdesconto[1].split(" %")
        desconto = valorplano * parseFloat(desconto)/100;
    }
    return parseFloat(desconto);
}


$(document).ready(function(){
    if ($("#id_pessoaid").length > 0) {
        inicia_valores()
        $("#id_valorplano").attr('readonly', 'true');
        $("#id_valordesconto").attr('readonly', 'true');
        $("#id_valorfinal").attr('readonly', 'true');
/*

        $("#id_geramovimentoproporcional").click(function(){
            if(!$("#id_geramovimentomes").prop( "checked" ) && $("#id_geramovimentoproporcional").prop( "checked" )){
                $("#id_geramovimentomes").click();
                $("#id_geramovimentomes").attr( "disabled", "true");
            }else if($("#id_geramovimentomes").prop( "checked" ) && $("#id_geramovimentoproporcional").prop( "checked" )){
                $("#id_geramovimentomes").attr( "disabled", "true");
            }else{
                $("#id_geramovimentomes").removeAttr( "disabled");
            }
        })
  */
        setTimeout(function(){
            if ($("#id_planoid").val() != ""){
                get_dados_contrato($("#id_planoid").val())
            }
        }, 200);
        $("#id_dtfim").attr('readonly', 'true');
        //$(".grp-add-handler").css('display', 'none');
        setTimeout(function(){$("#id_dtfim").next().remove();}, 100);
        setTimeout(function(){
            if (!($("#id_dtfim").prop( "readonly" ))){
                location.reload();
            }
        }, 1000);
        //Quando for ser editado o contrato
        var url = window.location.href.split("?");
        if (url.length > 1){
            var id = url[1].split('=');
            if (id.indexOf("id") > -1){
                get_contrato(id[1]);
                //get_movimentos(id[1]);
            }
        }
    }
    onload_antigo = document.body.onload
    document.body.onload = body_onload;
})

function body_onload(){
    onload_antigo();
    setTimeout(function(){
        calcular_pagamentos = true;
    }, 600);
}

function get_contrato(vID){
    //var id = $("#id_fitplano").val();
    var url = "/get_contrato/" + vID;
    callAjax_contrato(url, sucessoContrato, clear());
}

function get_movimentos(vID){
    //var id = $("#id_fitplano").val();
    var url = "/get_movimentos/" + vID;
    callAjax(url, sucessoMovimentos);
}

function sucessoContrato(html_value){
    var retorno = html_value.split('<separador>')
     if (retorno != "" ) {
        var campos = ['empresaid', 'pessoaid', 'planoid', 'diavencimento', 'fincontacorrenteid', 'dtinicio', 'planofidelidadeid', 'valorplano', 'valordesconto', 'valorfinal']
        var camposreadonly = ['empresaid', 'pessoaid', 'fincontacorrenteid', ]
        var len = campos.length;
        //reomovo o atributo selected do input do dia do vencimento
        $("#id_diavencimento").find('option').removeAttr("selected");
        for (i = 0; i < len - 1; i++) {
            popula_inserts(campos[i], retorno[i])
            readonly_inserts(camposreadonly[i])
        }
        $("footer").children().first().next().remove()
        $(".grp-fixed-footer").children().after('<ul><li><input type="button" class="grp-button grp-default" value="Inativar contrato e adicionar um novo" onclick="msg_salvar()"></li></ul>')

        setTimeout(function(){
            $("#id_empresaid").focus()
            for (i = 0; i < len - 1; i++) {
                remover_remove(camposreadonly[i])
            }
        }, 500)
        setTimeout(function(){
            $("#remove_id_empresaid").hide()
        }, 800)
    }
}

function msg_salvar(){
    var url = window.location.href.split("?");
    $("#confirmar").modal({
      escapeClose: false,
      clickClose: false,
      showClose: false
    });
    //setTimeout(function(){
        if (url.length > 1){
            var id = url[1].split('=');
            if (id.indexOf("id") > -1){
                get_movimentos(id[1])
            }
        }
    //}, 200);
}

function salvar(){
    $("#idsubmit").click();
    //$("#fitcontrato_form").submit();
}

function sucessoMovimentos(html_value){
    $('#texto').html(html_value)
    return false
}

function popula_inserts(field, value){
    $("#id_" + field).val('');
    $("#id_" + field).val(value);
    $("#id_" + field).focus();
}

function readonly_inserts(field){
    if ($("#id_" + field + "-autocomplete")){
        $("#id_" + field + "-autocomplete").attr("readonly", true)
    }
    $("#id_" + field).attr("readonly", true)
    $("#lookup_id_" + field).hide()
    //$("#id_" + field).next().hide()
}

function remover_remove(field){
    $("#remove_id_" + field).hide()
}

function callAjax_contrato(aURL, onSucesso, onErro){
    $.ajax({
        type: "GET",
        url: aURL,
        dataType: "text",
        success: onSucesso,
        error: onErro,
        beforeSend: function() {
        $("#wait").modal({
          escapeClose: false,
          clickClose: false,
          showClose: false
        });
        //$('#wait').show();
        },
        complete: function() {
            setTimeout(function(){
                $('#close').click();
                onchange_valor();
            }, 800);
        }
    });
}