var global_juros = 0;
var global_multa = 0;
var conf_juros = "";
var conf_multa = "";
var calculajurosmulta = 0;
var configuracaojurosrecorrencia = "";
var data_atual = "";

$("#id_finplanocontaid").ready(function(){
    $("#id_finplanocontaid").attr('onchange', 'return id_finplanocontaid_change(this)');
    $("#id_finplanocontaid").attr('onclick', 'return id_finplanocontaid_change(this)');
    $("#id_finplanocontaid").attr('onkeypress', 'return id_finplanocontaid_change(this)');
    $("#id_finplanocontaid").attr('onfocus', 'return id_finplanocontaid_change(this)');

    $("#id_movimentoquitado").attr('onclick', 'return quitar_pagamento()');

    $("#id_valorpagamento").attr('onkeyup', 'return change_valorpagamento(this)');
    $("#id_dtpagamento").attr('onchange', 'return change_datapagamento(this)');
    $("#id_dtvencimento").attr('onchange', 'return change_datapagamento(this)');

})

$(window).bind("load", function() {
    var url = window.location.href.split("/");
    var url_add = url[url.length-2]
    if (url_add.length > 1){
        $("#id_movimentoquitado").prop("checked", false);
    }
    setTimeout(function(){
        $("#id_finplanocontaid").ready(id_finplanocontaid_change(document.getElementById('id_finplanocontaid')))

        //Verifico as configurações financeiras
        callAjax("/obter_conf_financeira/", sucesso, erro);

        $("#id_dtpagamento").next().after("<span style='padding-left: 10px;'><a id='calcMultaJuros' href='' class='hidden' onclick='calc_juros_multa(); return false;'>Calcular Juros</a></span>")
        change_valorpagamento();

    }, 350);
    //$("#id_finplanocontaid").ready(waitTimeOut());
});

function id_finplanocontaid_change(campo){
    var cor = "black";
    var str = "";
    if (campo != null){
        if (campo.nextSibling.nextSibling.firstChild) {
            str = campo.nextSibling.nextSibling.firstChild.innerHTML;
        }
        if (str.indexOf("[D]") == 0){
            cor = "red";
        }
        if (str.indexOf("[R]") == 0) {
            cor = "green";
        }
        campo.nextSibling.nextSibling.style.color = cor;
        return true;
    }
}

function quitar_pagamento(){
    if ($("#id_movimentoquitado").prop( "checked" )){
        //Habilitar/Exibir campos
        if ($("#id_dtpagamento").val().length == 0 ){
            $("#id_dtpagamento").attr('readonly', false);
            $("#id_dtpagamento").next().removeClass("hidden");

            $("#id_valorpagamento").attr('readonly', false);

            $("#id_multa").attr('readonly', false);
            $("#id_juros").attr('readonly', false);

            $("#id_dtpagamento").val(today())
            $("#id_valorpagamento").val($("#id_valormovimento").val())
        }
    }
    else{
        //Desabilitar/Esconder campos
        $("#id_dtpagamento").attr('readonly', true);
        $("#id_dtpagamento").next().addClass("hidden");

        $("#id_valorpagamento").attr('readonly', true);

        $("#id_multa").attr('readonly', true);
        $("#id_juros").attr('readonly', true);

        $("#calcMultaJuros").addClass("hidden");


        $("#id_dtpagamento").val("")

        $("#id_valorpagamento").val("")

        $("#id_tipopagamento").val("")

    }
    multa_e_juros()

}

function change_valorpagamento(){
    if (parseFloat($("#id_valorpagamento").val()) > 0){
        $("#id_tipopagamento").attr('disabled', false);
    }else{
        $("#id_tipopagamento").attr('disabled', true);
        $("#id_tipopagamento").val("")
    }
}


function change_datapagamento(){
    if ($("#id_dtpagamento").val().length > 0){
        if ($("#id_dtvencimento").val().length == 0){
            clear()
            $("#id_multa").attr('readonly', true);
            $("#id_juros").attr('readonly', true);
        }else{
            $("#id_multa").attr('readonly', false);
            $("#id_juros").attr('readonly', false);
        }
        calc_juros_multa();
    }
    multa_e_juros()
    change_valorpagamento();
}


function sucesso(aRetorno){
    vConf = aRetorno.split('<separador>');
    calculajurosmulta = vConf[0];
    global_multa = vConf[1];
    conf_multa = vConf[2];
    global_juros = vConf[3];
    conf_juros = vConf[4];
    configuracaojurosrecorrencia = vConf[5];
    data_atual = vConf[6];

    $("#id_multa").after("<span id='span_multa'> </span>");
    $("#id_juros").after("<span id='span_juros'> </span>");

    quitar_pagamento();
}

function erro(){
    alert("Erro ao obter configuração financeira");
}

function calc_juros_multa(){
    var url = "/calcula_juros_multa/";
    $.ajax({
        type: "POST",
        data: {
            'ValorMovimento': $("#id_valormovimento").val(),
            'DtVencimento': $("#id_dtvencimento").val(),
            'DtPagamento': $("#id_dtpagamento").val(),
            'juros': $("#id_juros").val(),
            'multa': $("#id_multa").val()
            },
        url: url,
        dataType: "html",
        success: function(result){
            $("#id_valorpagamento").val(result)
        },
        error: function(){
            $("#id_valorpagamento").val("")
        }
    });
}

function multa_e_juros(){
    var vMulta = 0
    var vJuros = 0

    if (parseFloat(vMulta) != global_multa){
        vMulta = $("#id_multa").val()
    }else{
        vMulta = global_multa
    }

    if (parseFloat(vJuros) != global_juros){
        vJuros = $("#id_juros").val()
    }else{
        vJuros = global_juros
    }

    $("#id_multa").val(vMulta)
    $("#id_juros").val(vJuros)

    show_hide_multajuros()
    if (calculajurosmulta == true){

        var valor_original = parseFloat($("#id_valormovimento").val())
        var valor_pagamento = 0.0
        var calc_multa = 0.0
        var calc_juros = 0.0

        var vDiffDays = 0

        if ($("#id_dtpagamento").val().length > 0){
            vDiffDays = daydiff(parseDate($("#id_dtvencimento").val()), parseDate($("#id_dtpagamento").val()));
        }

        calcula_multa()
        calcula_juros()

        if (vDiffDays > 0){
            $("#calcMultaJuros").removeClass("hidden")
        }else{
            $("#calcMultaJuros").addClass("hidden")
            if ($("#id_dtpagamento").val().length > 0){
                $("#id_valorpagamento").val($("#id_valormovimento").val())
            }else{
                $("#id_valorpagamento").val("")
            }
        }

    }
    change_valorpagamento()
}

function show_hide_multajuros() {
    $("#calcMultaJuros").addClass("hidden");

    if (calculajurosmulta == true && $("#id_movimentoquitado").prop( "checked" )){
        $("#calcMultaJuros").removeClass("hidden");

        if (calculajurosmulta == true){
            $("#id_multa").attr('readonly', false);
            $("#id_juros").attr('readonly', false);
            $("#id_multa").val(global_multa)
            $("#id_juros").val(global_juros)
        }
    }else{
        $("#id_multa").val("")
        $("#id_juros").val("")
    }
}

function parseDate(str) {
    var dmy = str.split('/')
    return new Date(dmy[2], dmy[1], dmy[0]);
}

function daydiff(first, second) {
    return (second-first)/(1000*60*60*24);
}

function clear(){
    //$("#id_dtpagamento").val("")

    $("#id_valorpagamento").val("")

    $("#id_tipopagamento").val("")

    $("#id_multa").val("")
    $("#id_juros").val("")
}

function calcula_multa(){
    if (conf_multa == "0"){
        $("#span_multa").html("  (%) ")
    }
    if (conf_multa == "1"){
        $("#span_multa").html("  (R$) ")
    }
}

function calcula_juros(){
    if (conf_juros == "0"){
        $("#span_juros").html("  (%) ao dia ")
    }
    if (conf_juros == "1"){
        $("#span_juros").html("  (R$) ao dia ")
    }
}