var global_chk = 0
var global_total = 0

function marcar() {
    $(".chkMovimentos").each(function() {
        $(this).prop( "checked", true );

    });
    calcula_total()
}

function desmarcar() {
    $(".chkMovimentos").each(function() {
        $(this).prop( "checked", false );
    });
    calcula_total()
}

function calcula_total() {
    var total = 0.0
    var countchks = 0
    $(".chkMovimentos").each(function() {
        if ($(this).prop( "checked" )){
            total += parseFloat($(this).attr("valor").replace(",", ".") )
            countchks = countchks + 1
        }
    });
    document.getElementById('spTotal').value = monetario(total)
    global_chk = countchks
    global_total = total
    diferenca()
}

function buscar_movimentos_chk() {
    $('#id_pessoa').focus();
}

function buscar_movimentos() {
    if (this.value == ""){
        return false;
    }
    var vURL = '/buscar_movimentos/' + this.value
    if ($("#chk_jurosMulta").prop("checked")){
        var vURL = '/buscar_movimentos/' + this.value + '&1'
    }
    document.getElementById("gridMovimentos").innerHTML = "Carregando, por favor aguarde!";
    callAjax(vURL, mostrar_movimentos, error)

    return true;
}

function mostrar_movimentos(retorno){
    document.getElementById("gridMovimentos").innerHTML = retorno;
    calcula_total();
}

function error(){
    document.getElementById("gridMovimentos").innerHTML = "Falha ao carregar movimentos do Credor/Devedor";
}

function monetario(valor) {
    var prefix = ""
    if (valor < 0){
        valor = valor * -1
        prefix = ""
    }
    return prefix + moeda(valor, 2, ",", "")
}

function diferenca(){
    var spTotal, valor_debito;
    spTotal = document.getElementById("spTotal").value.replace(",", ".");
    valor_debito = document.getElementById("valor").value.replace(",", ".");
    var valor_diferenca = (parseFloat(spTotal) - parseFloat(valor_debito)).toFixed(2);
    if (isNaN(valor_diferenca)){
        valor_diferenca = 0.00
        }
    document.getElementById("valor_diferenca").value = monetario(valor_diferenca);
    document.getElementById("valor_diferenca2").innerHTML = monetario(valor_diferenca);
    if(valor_diferenca>0){
            $(".valorDif").addClass("clRed")
            $(".valorDif").removeClass("clGreen")
        }
    if(valor_diferenca==0){
            $(".valorDif").removeClass("clGreen")
            $(".valorDif").removeClass("clRed")
            }
    if(valor_diferenca<0){
            $(".valorDif").addClass("clGreen")
            $(".valorDif").removeClass("clRed")
            }
    valor_nulo()
}

function confirmacao_pagamento(){
    $("#id_dtnovomovimento").val(today())
    //crio a variavel valor_pagamento para setar que não pode ser feito pagamento com valor 0.
    var valor_pagamento = parseFloat($("#valor").val().replace(",", "."))
    // se não marcou ninguém, não há nada a ser feito
    if (global_chk < 1){
        alert("Selecione ao menos um movimento")
        return false
    }


    var valor_pagamento = parseFloat($("#valor").val().replace(",", "."))
    if (valor_pagamento == 0.00){
        alert('O campo "Valor Pago" é de preenchimento obrigatório.')
        return false;
    }

    if (global_chk == 1){
        if (global_total == valor_pagamento ){
            salvar();
        }else if (global_total > valor_pagamento ){
            //Conceder desconto
            $("#confirmacao").modal({
                escapeClose: false,
                clickClose: false,
                showClose: false
            });

            $("#radio_desconto").click()
            $("#confirma_pgto").show()
            //$(".campo_data").show()
            $(".chkDesconto").show()
            $(".esconder").show()
            $(".chkAddmov").hide()
            $("#msg_confirmacao").html("<h1>Saldo devido:</h1>")
        }else{
            //ADD NOVO VALOR
            $("#confirmacao").modal({
                escapeClose: false,
                clickClose: false,
                showClose: false
            });

            $("#radio_troco").click()
            $("#confirma_pgto").show()
            $(".chkAddmov").show()
            $(".esconder").show()
            $(".chkDesconto").hide()
            $("#msg_confirmacao").html("<h1>Saldo extra:</h1>")
        }
    }else{
        if (global_total == valor_pagamento ){
            salvar();
        }else{
            alert("O pagamento só pode ser efetuado com o valor total do movimento.")
            return false;
        }
/*
        if (global_total > valor_pagamento ) {
        }
*/
    }
}

function valor_nulo(){
    var valor_pagamento = parseFloat($("#valor").val().replace(",", "."))
    if (isNaN(valor_pagamento)) {
        $("#valor_diferenca").html("0,00")
        $(".valorDif").removeClass("clGreen")
        $(".valorDif").removeClass("clRed")
        alert('Erro! O campo "Valor Pago" é de preenchimento obrigatório.')
        }
/*
    if (valor_pagamento ==0){
        alert("Erro! O pagamento não pode ser efetuado com valor zero.")
        }
*/
}

function salvar(){
    $("#pagamento_form").submit();
    var movIds = new Array()
    $(".chkMovimentos").each(function() {
        if ($(this).prop( "checked" )){
            if (movIds != ''){
                movIds += ', ' + ($(this).val())
            }else{
                movIds = ($(this).val())
            }
        }
    });
    //setTimeout(function(){
        var url = '/imprimir_recibo/' + movIds
        window.open(url, "width=600", "height=450", 'fullscreen=no');
    //}, 300);
}

function change_conceder_desconto(c){
    if (c.value == 1) {
        $("#id_dtnovomovimento").removeAttr("disabled")
        $("#id_dtnovomovimento").next().removeClass("hidden")
    } else {
        $("#id_dtnovomovimento").attr("disabled", "disabled")
        $("#id_dtnovomovimento").next().addClass("hidden")
    }
}

function pgto(){
    $("#nvMovimento").submit();
}

function gerarManutencaoConfirmar(){
    $("#modal_confirma").hide()
    $("#confirmar").modal({
        fadeDuration: 100,
        escapeClose: false,
        clickClose: false,
        showClose: false
    });
    $("#texto").html('')
    if(global_chk > 0){
        $("#texto").html("<p style='font-size: 14px; font-weight:bold; text-align: center; margin-top: 130px;'>Deseja gerar manutenção dos movimentos selecionado(s)?</p>")
        $("#modal_confirma").show()
    }else{
        $("#texto").html("<p style='font-size: 14px; font-weight:bold; text-align: center; margin-top: 130px;'>Nenhum movimento selecionado</p>")
    }
}

function gerarManutencao(){
    $("#modal_confirma").show()
    var movIds = new Array()
    $(".chkMovimentos").each(function() {
        if ($(this).prop( "checked" )){
            if (movIds != ''){
                movIds += ', ' + ($(this).val())
            }else{
                movIds = ($(this).val())
            }
        }
    });
    var url = "/gerar_manutencao/";
    $.ajax({
        type: "POST",
        data: {'movIds': movIds},
        url: url,
        dataType: "html",
        success: function(result){
            $("#modal_confirma").hide()
            $('#texto').html(result)
            setTimeout(function(){
                $("#confirmar").modal({
                  fadeDuration: 100,
                  escapeClose: false,
                  clickClose: false,
                  showClose: false
                });
            }, 200)
        },
        beforeSend: function() {
            $("#wait").modal({
              escapeClose: false,
              clickClose: false,
              showClose: false
            });
            //$('#wait').show();
        },
        complete: function() { $('#close').click();}
    });
}

function fechar_modal(){
    $('#close').click();
    $('#id_pessoa').focus();
}