function get_dados_pessoa(edtPessoa){
    $.ajax({

        type: "GET",
        dataType: "json",
        url: "/get_dados_pessoa_visita/" + edtPessoa.value,
        error: function(XMLHttpRequest, textStatus, errorThrown) {
                clear()
            },
        success: function(data){
            if (data.status == true){
                $("#id_pessoanome").val(data.pessoanome);
                $("#id_pessoadoc").val(data.documento);
                $("#id_telefone").val(data.telefone);
                $("#id_img").attr("src", data.imagem);

                //alerta que a pessoa esta classificada como nao grata
                if(data.pessoanaograta == true){
                    alert("Pessoa com ocorrência. Favor acionar a Coordenação");
                    }

                //verifica se existe visita cadastrada para a pessoa
                if(data.visitaanterior == true){
                    $("#id_visitaanterior").val(data.visitaanterior);
                    //chamar função que confirma
                    valida_visita_anterior()
                }

            }
        }
    });
}

var entrou = false;
function valida_visita_anterior() {
    var confirm_cadastro_visitante = false;
    if (entrou == false){
        confirm_cadastro_visitante = confirm("A pessoa ja possui uma visita ativa! \n" +
            "Deseja cadastrar e inativar as anteriores?");
        entrou = true;
        if (confirm_cadastro_visitante == true) {
            $("#id_confimacao_visitaanterior").val("1");
        } else {
            $("#id_confimacao_visitaanterior").val("0");
            //clear();
        }
    }
}

function clear_visita_anterior(){
    entrou = false;
    $("#id_confimacao_visitaanterior").val("");
    $("#id_visitaanterior").val("");
}

function clear(){
    $("#id_pessoanome").val("");
    $("#id_pessoadoc").val("");
    $("#id_telefone").val("");
    $("#id_img").attr("src", "/templates/admin/img/no_image.png");
}

function on_change_pessoa(){
    var vIDanterior = parseFloat(document.getElementById("id_pessoaid").value)
    setTimeout(function(){
        var vID = parseFloat(document.getElementById("id_pessoaid").value)
        if (vIDanterior != vID){
            clear_visita_anterior()
        }
        if (!isNaN(vID)){
            get_dados_pessoa(document.getElementById("id_pessoaid"));
        }else {
            clear_visita_anterior()
            clear()
        }
    }, 500);
}


// function clear_visitante(){
    // url_img = '/templates/admin/img/no_image.png'

    // $("#id_img").attr("src", url_img);
    // $("#id_telefone" ).html("");
    // $("#id_telefone" ).val("");
// }

// function get_dados_visitante(edtPessoa){
    // $.ajax({
            // type: "GET",
            // url: "/get_dados_visitante/" + edtPessoa.value,
            // dataType: "text",
            // error: function(XMLHttpRequest, textStatus, errorThrown) {
                // clear_visitante()
            // },
            // success: function(retorno){
                // var valores = retorno.split('<separador>');
                // $("#id_img").attr("src", valores[0]);

                // if (valores[1].length > 0){
                    // $("#id_telefone" ).html(valores[1]);
                    // $("#id_telefone" ).val(valores[1]);
                // }

            // }
    // });
// }

function lookup_id_pessoa(e){
    var vIDanterior = parseFloat(document.getElementById("id_pessoaid").value)

    var triggeringLink = e.target;
    var edit = triggeringLink.previousSibling;
    var name = triggeringLink.id.replace(/^lookup_/, '');
    name = id_to_windowname(name);
    var href;
    if (triggeringLink.href.search(/\?/) >= 0) {
        href = triggeringLink.href + '&pop=1';
    } else {
        href = triggeringLink.href + '?pop=1';
    }
    // GRAPPELLI CUSTOM: changed width
    var win = window.open(href, name, 'height=500,width=1000,resizable=yes,scrollbars=yes');
    win.onbeforeunload = function (){
        if (edit.value != vIDanterior) {
            clear_visita_anterior()
        }
        if (!isNaN(edit.value)) {
            if (edit.value != "") {
                get_dados_pessoa(edit)
            }
        }
    }
    win.focus();
    return false;

}

$( document ).ready(function() {
    $("#id_telefone").mask("(99)9999-9999?9");
    setTimeout(function(){
        input_item = document.getElementById("id_pessoaid");
        lookup_item = document.getElementById("lookup_id_pessoaid");
        if (input_item){
            input_item.onchange = on_change_pessoa;
            document.getElementById('id_pessoaid-autocomplete').onchange = on_change_pessoa;
            input_item.onfocus = on_change_pessoa;
            lookup_item.onclick = lookup_id_pessoa;
            if (input_item.value != ""){
                on_change_pessoa()
            }
        }

        //input_item_crachacodigo = document.getElementById("id_crachacodigo-autocomplete").onchange = on_change_crachacodigo;
        //lookup_item_crachacodigo = document.getElementById("lookup_id_paciente");
    }, 200);
/*
    if ($("#id_paciente").length > 0){
        on_change_pessoa()
    }
*/
});
/*

$("#id_paciente").ready(function(){
    if (document.getElementsByName("_save")[0]){
        document.getElementsByName("_save")[0].onclick = onClickSalvar;
        document.getElementsByName("_addanother")[0].onclick = onClickSalvar;

        setTimeout(function(){
            input_item = document.getElementById("id_paciente");
            lookup_item = document.getElementById("lookup_id_paciente");
            if (input_item){
                input_item.onchange = on_change_pessoa;
                document.getElementById('id_paciente-autocomplete').onchange = on_change_pessoa;
                input_item.onfocus = on_change_pessoa;
                lookup_item.onclick = lookup_id_pessoa;
            }

            input_item_visitante = document.getElementById("id_visitante");
            lookup_item_visitante = document.getElementById("lookup_id_paciente");
            if (input_item_visitante){
                input_item_visitante.onchange = on_change_visita;
                document.getElementById('id_visitante-autocomplete').onchange = on_change_visita;
                input_item_visitante.onfocus = on_change_visita;
                lookup_item_visitante.onclick = lookup_id_visitante;
            }
            //input_item_crachacodigo = document.getElementById("id_crachacodigo-autocomplete").onchange = on_change_crachacodigo;
            //lookup_item_crachacodigo = document.getElementById("lookup_id_paciente");
         }, 200);

    }
})
*/
