# -*- coding: UTF-8 -*-
from django.utils.translation import ugettext as _
from ihx.access.base import functions
from ihx.access.core.MODPessoa import models as models_pessoas


class pkrmensalista(models_pessoas.pessoafisica_acesso):

    def clean_fields(self, exclude=None):
        super(pkrmensalista, self).clean_fields(exclude)
        if self.crachacodigo:
            functions.validar_cracha(self, self.crachacodigo)

    class Meta:
        db_table = 'pkrmensalista'
        verbose_name = _(u'Mensalista')
        verbose_name_plural = _(u'Mensalistas')