# -*- coding: UTF-8 -*-

from django.contrib import admin

#MODAcesso
from ihx.access.core.MODAcesso import models, forms
admin.site.register(models.acesso, forms.acesso_form)
admin.site.register(models.acessolog, forms.acesso_form)
admin.site.register(models.ultimo_acesso, forms.ultimo_acesso_form)
admin.site.register(models.painel_pessoasetor, forms.painel_pessoasetor_form)


#MODEquipamento
from ihx.access.core.MODEquipamento import forms, models
admin.site.register(models.equipamento, forms.equipamento_form)

#MODPessoa
from ihx.access.core.MODPessoa import models, forms
admin.site.register(models.pessoafisica_acesso, forms.readonly_pessoafisica_acesso_form)
admin.site.register(models.pessoafisica, forms.pessoafisica_form)
admin.site.register(models.pessoa, forms.pessoa_form)

#MODEmpresa
from ihx.access.core.MODEmpresa import forms, models
admin.site.register(models.empresa, forms.empresa_form)
admin.site.register(models.colaborador, forms.colaborador_form)
admin.site.register(models.empresavisitante, forms.empresavisitante_form)
admin.site.register(models.estrutura, forms.estrutura_form)
admin.site.register(models.setor, forms.setor_form)
admin.site.register(models.tabelahorario, forms.tabelahorario_form)


#MODManutencao
from ihx.access.core.MODManutencao import models, forms
admin.site.register(models.cargo, forms.cargo_form)
admin.site.register(models.tipocontato, forms.tipocontato_form)
admin.site.register(models.tipopessoajuridica, forms.tipopessoajuridica_form)
admin.site.register(models.tipoidentificacaoacesso, forms.tipoidentificacaoacesso_form)
admin.site.register(models.cidade, forms.cidade_form)
admin.site.register(models.pais, forms.pais_form)
admin.site.register(models.uf, forms.uf_form)
admin.site.register(models.cracha, forms.cracha_form)
admin.site.register(models.departamento, forms.departamento_form)
admin.site.register(models.tipoimagemdocumento, forms.tipoimagemdocumento_form)

from ihx.access.core.MODConfiguracao import models, forms
admin.site.register(models.configuracao, forms.configuracao_form)

#MODTarifa
from app.modules.MODTarifa import models, forms
admin.site.register(models.prktarifa, forms.tarifa_form)
admin.site.register(models.prkvigencia, forms.vigencia)
admin.site.register(models.prkticket, forms.ticket_form)
admin.site.register(models.prkticket_desconto, forms.ticket_desconto_form)
admin.site.register(models.prktarifaclasse, forms.prktarifaclasse_form)
admin.site.register(models.prkticket_mensagem, forms.prkticket_mensagem_form)
#proxy ticket
admin.site.register(models.prkticket_finalizado, forms.ticket_finalizado_form)
admin.site.register(models.prkticket_ativo, forms.prkticket_ativo_form)


#MODFinanceiro
from ihx.access.core.MODFinanceiro import models, forms
admin.site.register(models.finbanco, forms.finbanco_form)
admin.site.register(models.fintipodocumento, forms.fintipodocumento_form)
admin.site.register(models.finplanoconta, forms.finplanoconta_form)
admin.site.register(models.fincontacorrente, forms.fincontacorrente_form)
admin.site.register(models.finmovimento, forms.finmovimentoPro_form)
admin.site.register(models.fincontasapagar, forms.fincontasapagar_form)
admin.site.register(models.fincontasareceber, forms.fincontasareceber_form)
admin.site.register(models.view_finfechamentcaixa, forms.view_finfechamentcaixa_form)
admin.site.register(models.finconfiguracao, forms.configuracaoFinanceiro_form)
admin.site.register(models.finfechamentocaixa, forms.finfechamentocaixa_form)


##MODGestao
#from ihx.access.core.MODGestao import models, forms
#admin.site.register(models.gestores_departamento, forms.gestores_departamento_form)
#admin.site.register(models.gestor, forms.gestor_form)

##MODControle
from ihx.access.core.MODControle import models, forms
from app.modules.MODControle import models as models_app, forms as forms_app

admin.site.register(models.planofidelidade, forms.fidelidade_form)
admin.site.register(models.plano, forms.plano_form)
admin.site.register(models.contrato, forms_app.contratoParking_form)

admin.site.register(models_app.pkrmensalista, forms_app.mensalista_form)

#MODRelatorio
from ihx.access.core.MODRelatorio import models, forms
admin.site.register(models.lista_relatorios, forms.lista_relatorios_form)
