var arrayDia = ["Domingo", "Segunda", "Terça", "Quarta", "Quinta", "Sexta", "Sábado"]
var arrayMes = ["Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho",
                "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"]

function DataPorExtenso(aData){
    var ano = aData.getFullYear();
    var dia = aData.getDate();
    var mes = arrayMes[aData.getMonth()];
    return dia + " de " + mes + " de " + ano
}

function firstDayOfWeek (year, week) {
    //crio uma variavel com o primeiro dia do ano
    var d = new Date(year, 0, 1)
    //adiciono os milisegundos referentes as semanas informadas
    d.setTime(d.getTime() + ((week - 1)  * (7 * 24 * 60 * 60 * 1000)))
    //volto para o domingo da semana da data encontrada
    d.setTime(d.getTime() - (d.getDay()  * (24 * 60 * 60 * 1000)))
    return d;
}

function dataFormatada(d) {
    var numMeses = ['01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12']
    var data = new Date(d);
    var dia = data.getDate();
    var mes = data.getMonth();
    mes = numMeses[mes];
    var ano = data.getFullYear();
    return [dia, mes, ano].join('/');
}

function lastDayOfWeek(year, week) {
    var last = firstDayOfWeek + 6; // last day is the first day + 6
    var data = new Date();
    var dia = data.getDate();
    var d = new Date(year, 0, 1)
    //adiciono os milisegundos referentes as semanas informadas
    d.setTime(d.getTime() + ((week)  * (7 * 24 * 60 * 60 * 1000)))
    //volto para o domingo da semana da data encontrada
    d.setTime(d.getTime() - (d.getDay()  * (24 * 60 * 60 * 1000)))
    return d;
}

var json = {
    data: {
        date: "2014-06-16 21:56:29"
    }
}

var data = dataFormatada(json.data.date);
//alert(data); // dá 16 JUN 2014