var prefix;
var indice;

function remove_tags(text, tagname){
    text = text.replace("[" +  tagname + "]", "");
    text = text.replace("[/" + tagname + "]", "");
    return text.trim();
}

function wsmonitor(link)
{
  prefix = link.replace("-link", "");
  indice = prefix.replace("pessoa-", "");
  indice = indice.replace("-pessoafisica_digital_imagem", "");

  if ("WebSocket" in window)
  {
    try
    {
      clean_msg()
      $("#msg_modal").css("color", "red");
      troca_img('reset');
      $("#msg_modal").html('Conectando ao serviço...');
      var ws = new sgcws("ws://127.0.0.1:5414");
    }
    catch (error)
    {
    }

    ws.on('open',
      function(evt)
      {
        $("#modal").modal({ escapeClose: false, clickClose: false, showClose: false});
        clean_msg();
        troca_img('reset');
        $("#msg_modal").html('Posicione o dedo no leitor...')
        $("#msg_modal").css("color", "gray");
        ws.subscribe("capturar");
      }
    );

    ws.on('close',
      function(evt)
      {
      }
    );

    ws.on('sgcevent',
      function(evt)
      {
        var msg = evt.message;
        if (msg.indexOf("[capturar]") > -1)
        {
          msg = remove_tags(msg, 'capturar');
          msg = msg.split(";");
          if(msg[0] == '1')
          {
            var fabricante = document.getElementById('id_pessoa-' + indice + '-fabricante');
            var qualidade = document.getElementById('pessoa-' + indice + '-pessoafisica_digital_precisao-gauge');
            var imagem = document.getElementById(prefix + '-digital');

            var input_image = document.getElementsByName(prefix)[0];
            var qualidade_input = document.getElementsByName('pessoa-' + indice + '-pessoafisica_digital_precisao')[0];
            var template_input = document.getElementsByName('pessoa-' + indice + '-digitaltemplate')[0];

            //configuro o campo do fabricante
            fabricante.value = msg[1];
            qualidade_input.value = msg[2];
            template_input.value = msg[3];

            //configurando a imagem
            if (msg[4] == '')
            {
              imagem.src = imagem.src.replace("sem_imagem", 'digital');
              input_image.value = "";
            }
            else
            {
              imagem.src = 'data:image/png;base64,' + msg[4];
              input_image.value = unescape(msg[4]);
            }

            //configurando a cor de acordo com a qualidade
            var color = "#F57B83";
            if (qualidade_input.value > 50) color = "#FAFC87";
            if (qualidade_input.value > 80) color = "#65DF02";
            //configurando a qualidade.
            $('#' + qualidade.id).css("background-color", color);
            $('#' + qualidade.id).css("width", qualidade_input.value);
            qualidade.nextSibling.nextSibling.innerHTML = qualidade_input.value + "%";

            clean_msg();
            $("#msg_modal").css("color", "green");
            troca_img('sucesso');
            $("#msg_modal").html('Biometria cadastrada com sucesso.')

            //Sucesso fecho a caixa de dialogo, apos 2 segundo
            setTimeout(function(){ $.modal.close(); }, 500);
            return true;
          }
          else
          {
            clean_msg()
            $("#msg_modal").css("color", "red");
            troca_img('erro');
            setTimeout(function(){ $.modal.close(); }, 2000);
            $("#msg_modal").html(msg[1]);
            return false;
          }
        }
      }
    );

    ws.on('error',
      function(evt)
      {
        status.innerHTML = "Socket Error";
        clean_msg()
        $("#msg_modal").css("color", "red");
        troca_img('erro');
        setTimeout(function(){ $.modal.close(); }, 2000);
        $("#msg_modal").html('Falha ao comunicar com o serviço.');
        return false;
      }
    );

  }
  else
  {
      alert('o browser não suporta');
      return false;
  }
}

function clean_msg()
{
    $("#msg_modal").html("")
    $("#msg_modal").css("color", "gray");
    var index = 0
    while(document.getElementById("pessoa-" + index + "-pessoafisica_digital_imagem-mensagem"))
    {
        $("#pessoa-" + index + "-pessoafisica_digital_imagem-mensagem").html('');
        index++;
    }
}

function troca_img(aStatus){
    $("#imgdigital1").addClass("hidden");
    $("#imgdigital2").addClass("hidden");
    $("#imgerro").addClass("hidden");
    $("#imgsucesso").addClass("hidden");
    $("#imgcoparacao").addClass("hidden");

    if (aStatus == 'reset'){
        $("#imgdigital1").removeClass("hidden");
    }
    if (aStatus == 'remover'){
        $("#imgdigital2").removeClass("hidden");
    }
    if (aStatus == 'erro'){
        $("#imgerro").removeClass("hidden");

    }
    if (aStatus == 'coparacao'){
        $("#imgcoparacao").removeClass("hidden");
    }
    if (aStatus == 'sucesso'){
        $("#imgsucesso").removeClass("hidden");
    }
}
