function sgcws() {
    if (arguments.length == 0) {
        return
    }
    if (arguments.length == 1) {
        if (typeof arguments[0] == "object") {
            arguments[0]["subprotocol"] = "esegece.com";
            sgcWebSocket.call(this, arguments[0])
        } else {
            if (typeof arguments[0] == "string") {
                arguments[1] = "esegece.com";
                sgcWebSocket.call(this, arguments[0], arguments[1])
            }
        }
    } else {
        if (arguments.length == 2) {
            if (typeof arguments[0] == "object") {
                arguments[0]["subprotocol"] = arguments[1] + ".esegece.com";
                sgcWebSocket.call(this, arguments[0])
            } else {
                if (typeof arguments[0] == "string") {
                    arguments[1] = arguments[1] + ".esegece.com";
                    sgcWebSocket.call(this, arguments[0], arguments[1])
                }
            }
        }
    }
    var g = "";
    this.qoslevel0 = function() {
        g = "qosLevel0"
    };
    this.qoslevel1 = function() {
        g = "qosLevel1"
    };
    this.qoslevel2 = function() {
        g = "qosLevel2"
    };
    var e = "";
    this.queuelevel0 = function() {
        e = "queueLevel0"
    };
    this.queuelevel1 = function() {
        e = "queueLevel1"
    };
    this.queuelevel2 = function() {
        e = "queueLevel2"
    };
    var j = this.send;
    this.send = function(o, q, n, p) {
        _qos = "";
        if ((g !== "") && (g !== undefined)) {
            _qos = ', "qos":"' + g + '"'
        }
        _queue = "";
        if ((e !== "") && (e !== undefined) && (q == "sgc@publish")) {
            _queue = ', "queue":"' + e + '"'
        }
        if (arguments.length == 1) {
            arguments[0] = '{"jsonrpc":"2.0", "method":"sgc@message", "params":{"message":"' + o + '"' + _qos + _queue + '}, "id":"' + GUID() + '"}'
        } else {
            if (arguments.length == 2) {
                arguments[0] = '{"jsonrpc":"2.0", "method":"' + q + '", "params":{"message":"' + o + '"' + _qos + _queue + '}, "id":"' + GUID() + '"}'
            } else {
                if ((p !== "") && (p !== undefined)) {
                    arguments[0] = '{"jsonrpc":"2.0", "method":"' + q + '", "params":{"channel":"' + n + '", "message":"' + o + '"' + _qos + _queue + '}, "id":"' + p + '"}'
                } else {
                    arguments[0] = '{"jsonrpc":"2.0", "method":"' + q + '", "params":{"channel":"' + n + '", "message":"' + o + '"}}'
                }
            }
        }
        j.apply(this, arguments)
    };
    this.broadcast = function() {
        if (arguments.length == 1) {
            this.send(arguments[0], "sgc@broadcast", "")
        } else {
            if (arguments.length == 2) {
                this.send(arguments[0], "sgc@broadcast", arguments[1])
            }
        }
    };
    this.publish = function() {
        this.send(arguments[0], "sgc@publish", arguments[1], GUID())
    };
    this.subscribe = function(n) {
        this.send("", "sgc@subscribe", n, GUID())
    };
    this.unsubscribe = function(n) {
        this.send("", "sgc@unsubscribe", n, GUID())
    };
    this.rpc = function(p, o, n) {
        arguments[0] = '{"jsonrpc":"2.0", "method":"' + o + '", "params":' + n + ', "id":"' + p + '"}';
        j.apply(this, arguments)
    };
    this.notify = function(o, n) {
        arguments[0] = '{"jsonrpc":"2.0", "method":"' + o + '", "params":' + n + '"}';
        j.apply(this, arguments)
    };
    this.request = function(n) {
        arguments[0] = '{"jsonrpc":"2.0", "method":"' + n + '"}';
        j.apply(this, arguments)
    };
    this.getsession = function() {
        this.request("sgc@session")
    };
    this.starttransaction = function(n) {
        if (n == undefined) {
            n = ""
        }
        this.send("", "sgc@transaction", n, "")
    };
    this.commit = function(n) {
        if (n == undefined) {
            n = ""
        }
        this.send("", "sgc@commit", n, "")
    };
    this.rollback = function(n) {
        if (n == undefined) {
            n = ""
        }
        this.send("", "sgc@rollback", n, "")
    };
    this.pubrel = function(n) {
        this.send("", "sgc@pubrel", "", n)
    };
    var c = new event("onsgcmessage");
    var k = new event("onsgcevent");
    var d = new event("onsgcsubscribe");
    var h = new event("onsgcunsubscribe");
    var m = new event("onsgcrpcresult");
    var b = new event("onsgcrpcerror");
    var l = new event("onsgcacknowledgment");
    var i = new event("onsgcpubrec");
    var a = new event("onsgcsession");
    this.on("message", function(o) {
        var n = o.message;
        obj = JSON.parse(n);
        if (obj.result !== undefined) {
            if (obj.result.method == "sgc@subscribe") {
                d.fire({
                    name: "onsgcsubscribe",
                    channel: obj.result.channel
                })
            } else {
                if (obj.result.method == "sgc@unsubscribe") {
                    h.fire({
                        name: "onsgcunsubscribe",
                        channel: obj.result.channel
                    })
                } else {
                    if (obj.result.method == "sgc@pubrec") {
                        i.fire({
                            name: "onsgcpubrec",
                            id: obj.id
                        })
                    } else {
                        if (obj.result.method == "sgc@event") {
                            k.fire({
                                name: "onsgcevent",
                                channel: obj.result.channel,
                                message: obj.result.message
                            })
                        } else {
                            if (obj.result.method == "sgc@session") {
                                a.fire({
                                    name: "onsgcsession",
                                    guid: obj.result.message
                                })
                            } else {
                                if (obj.result.method == "sgc@message") {
                                    c.fire({
                                        name: "onsgcmessage",
                                        message: obj.result.message
                                    })
                                } else {
                                    if (obj.result.method == "sgc@acknowledgment") {
                                        l.fire({
                                            name: "onsgcacknowledgment",
                                            id: obj.id
                                        })
                                    } else {
                                        m.fire({
                                            name: "onsgcrpcresult",
                                            result: obj.result,
                                            id: obj.id
                                        })
                                    }
                                }
                            }
                        }
                    }
                }
            }
        } else {
            if (obj.error !== undefined) {
                b.fire({
                    name: "onsgcrpcerror",
                    code: obj.error.code,
                    message: obj.error.message,
                    data: obj.error.data
                })
            }
        }
    });
    var f = this.on;
    this.on = function(n, o) {
        if (n == "sgcmessage") {
            c.subscribe(o)
        } else {
            if (n == "sgcevent") {
                k.subscribe(o)
            } else {
                if (n == "sgcsession") {
                    a.subscribe(o)
                } else {
                    if (n == "sgcsubscribe") {
                        d.subscribe(o)
                    } else {
                        if (n == "sgcunsubscribe") {
                            h.subscribe(o)
                        } else {
                            if (n == "sgcacknowledgment") {
                                l.subscribe(o)
                            } else {
                                if (n == "sgcpubrec") {
                                    i.subscribe(o)
                                } else {
                                    if (n == "sgcrpcresult") {
                                        m.subscribe(o)
                                    } else {
                                        if (n == "sgcrpcerror") {
                                            b.subscribe(o)
                                        } else {
                                            f.apply(this, arguments)
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
sgcws.prototype = new sgcWebSocket();
sgcws.prototype.constructor = sgcws;