function calcula_centena(value){
    var vRetorno = ""
    var vCentena = parseInt(value/ 100)
    var Resto_cen = value % 100

    var vDezena = parseInt(Resto_cen / 10)
    var Resto_dez = value % 10

    var vUnidade = parseInt(Resto_dez % 10)

    if (vCentena > 0) {
        switch (vCentena){
            case 9: vRetorno += "novecentos"; break;
            case 8: vRetorno += "oitocentos"; break;
            case 7: vRetorno += "setecentos"; break;
            case 6: vRetorno += "seiscentos"; break;
            case 5: vRetorno += "quinhetos"; break;
            case 4: vRetorno += "quatrocentos"; break;
            case 3: vRetorno += "trezentos"; break;
            case 2: vRetorno += "duzentos"; break;
            case 1: {
                if ((vDezena>0) || (vUnidade>0)){
                    vRetorno += "cento"
                }
                else{
                    vRetorno += "cem"
                }
            }; break;
        }
    }

    if ((vDezena>0) || (vUnidade>0)){
        if (vRetorno != "") vRetorno += " e "
    }

    if (vDezena > 0) {
        switch (Resto_cen) {
                case 19: vRetorno += "dezenove"; break;
                case 18: vRetorno += "dezoito"; break;
                case 17: vRetorno += "dezesete"; break;
                case 16: vRetorno += "dezeseis"; break;
                case 15: vRetorno += "quinze"; break;
                case 14: vRetorno += "quatorze"; break;
                case 13: vRetorno += "treze"; break;
                case 12: vRetorno += "doze"; break;
                case 11: vRetorno += "onze"; break;
                case 10: vRetorno += "dez"; break;
                default: {
                    switch (vDezena){
                        case 9: vRetorno += "noventa"; break;
                        case 8: vRetorno += "oitotenta"; break;
                        case 7: vRetorno += "setetenta"; break;
                        case 6: vRetorno += "sessenta"; break;
                        case 5: vRetorno += "cinquenta"; break;
                        case 4: vRetorno += "quarenta"; break;
                        case 3: vRetorno += "trinta"; break;
                        case 2: vRetorno += "vinte"; break;
                    }

                    if (vUnidade>0){
                        if (vRetorno != "") vRetorno += " e "
                    }
                    switch (vUnidade){
                        case 9: vRetorno += "nove"; break;
                        case 8: vRetorno += "oito"; break;
                        case 7: vRetorno += "sete"; break;
                        case 6: vRetorno += "seis"; break;
                        case 5: vRetorno += "cinco"; break;
                        case 4: vRetorno += "quatro"; break;
                        case 3: vRetorno += "tres"; break;
                        case 2: vRetorno += "dois"; break;
                        case 1: vRetorno += "um"; break;
                    }

                }
        }

    }
    return vRetorno
}

function valor_extenso(valor){

    var texto = valor.toString().replace(',', '.')

    var vMilhoes = parseInt(texto / 1000000)
    var Resto1 = texto % 1000000

    var vMilhares = parseInt(Resto1 / 1000)

    var vCentenas = Resto1 % 1000

    var vCentavos = texto.split(".")
    if (vCentavos.length > 1) {
        vCentavos = vCentavos[1]
    }
    else {
        vCentavos = 0
    }

    var vReturn = "";
    if (vMilhoes > 0){
        vReturn = calcula_centena(vMilhoes)
    }

    if (vReturn != "") vReturn = vReturn + " milhões "


    if (vMilhares > 0){
        vReturn = vReturn + calcula_centena(vMilhares)
    }

    if (vReturn != "") vReturn = vReturn + " mil "

    if ((vCentenas>0)){
        vReturn = vReturn + calcula_centena(vCentenas)
    }
    if (vReturn != "") vReturn = vReturn + " reais "

    if ((vCentavos>0)){
        if (vReturn != "") vReturn = vReturn + " e "
        vReturn = vReturn + calcula_centena(vCentavos) + " centavos "
    }
    vReturn = vReturn.replace("  ", " ")
    return vReturn
}
